> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get card group utilization

> Get a card group's current utilization



## OpenAPI

````yaml get /card-group/{cardGroupId}/utilization
openapi: 3.1.0
info:
  title: Slash Public API
  description: API description
  version: 0.0.1
  contact: {}
servers:
  - url: https://api.slash.com
    description: production
security:
  - api_key: []
  - partner_api_key: []
  - bearer: []
  - developer_application: []
paths:
  /card-group/{cardGroupId}/utilization:
    parameters:
      - name: cardGroupId
        in: path
        schema:
          type: string
        required: true
    get:
      description: Get a card group's current utilization
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CardGroupUtilization'
                x-entrypoint:
                  virtualPath: schemas/CardGroupUtilization
                  sourcePath: schemas/CardGroupUtilization.yaml
                  title: CardGroupUtilization
                  origin: ./src/publicApi
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: TooManyRequests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - api_key: []
        - bearer: []
components:
  schemas:
    CardGroupUtilization:
      type: object
      properties:
        nextResetDate:
          type: string
          format: date-time
          description: The date the next reset will occur, undefined if collective
        spend:
          $ref: '#/components/schemas/Money'
          description: The amount of money spent in the current period
          x-entrypoint:
            virtualPath: schemas/Money
            sourcePath: schemas/Money.yaml
            title: Money
            origin: ./src/publicApi
        availableBalance:
          $ref: '#/components/schemas/Money'
          description: >-
            The amount of money available in the current period. Only returned
            if the card or card group has a spend limit.
          x-entrypoint:
            virtualPath: schemas/Money
            sourcePath: schemas/Money.yaml
            title: Money
            origin: ./src/publicApi
      required:
        - spend
      x-entrypoint:
        virtualPath: schemas/CardGroupUtilization
        sourcePath: schemas/CardGroupUtilization.yaml
        title: CardGroupUtilization
        origin: ./src/publicApi
      title: CardGroupUtilization
    Error:
      type: object
      properties:
        message:
          type: string
        name:
          type: string
        identifier:
          type: string
        rawStatus:
          type: number
        meta:
          type: object
          additionalProperties: true
      required:
        - message
        - name
        - identifier
        - rawStatus
      x-entrypoint:
        origin: ./src/publicApi
        sourcePath: ./src/publicApi/main.yaml
        title: Error
        virtualPath: components/Error
      title: Error
    Money:
      type: object
      description: Represents a monetary value
      properties:
        amountCents:
          type: integer
          description: The amount in cents
      required:
        - amountCents
      x-entrypoint:
        virtualPath: schemas/Money
        sourcePath: schemas/Money.yaml
        title: Money
        origin: ./src/publicApi
      title: Money
  securitySchemes:
    api_key:
      type: apiKey
      description: |
        API key authentication for public API requests.

        Keys come in two flavors:

        - *Legal-entity-scoped keys* are pinned to a single legal entity.
          Minted via the dashboard under a specific entity; every request
          acts on that entity.
        - *User-scoped keys* are pinned to a user and span every legal
          entity that user has access to. Every request made with a
          user-scoped key (except `GET /legal-entity`, which lists the
          legal entities the user can access) must include an
          `x-legal-entity` header naming the legal entity the request is
          operating on. Requests without the header are rejected with
          `400`. The authenticated user must have an active permission
          role on the supplied legal entity, otherwise the request is
          rejected with `403`.
      name: X-API-Key
      in: header
    partner_api_key:
      type: apiKey
      description: |
        Partner-program API key authentication.

        Keys are minted in the partner dashboard (Developers → API Keys),
        are scoped to a single partner program, and are prefixed with
        `sk_partner_`. Partner keys are only accepted by routes that
        declare this scheme; they are rejected by `api_key` routes and
        vice versa.
      name: X-API-Key
      in: header
    bearer:
      type: http
      scheme: bearer
    developer_application:
      type: http
      scheme: basic

````